Page MenuHomeFreeBSD

libc: expose execvpe for Linux compat
ClosedPublic

Authored by brooks on Nov 29 2023, 11:39 PM.
Tags
None
Referenced Files
Unknown Object (File)
Sun, Jan 28, 1:58 AM
Unknown Object (File)
Jan 24 2024, 2:37 AM
Unknown Object (File)
Jan 21 2024, 7:43 PM
Unknown Object (File)
Jan 5 2024, 10:38 PM
Unknown Object (File)
Dec 25 2023, 5:31 PM
Unknown Object (File)
Dec 24 2023, 9:45 PM
Unknown Object (File)
Dec 23 2023, 3:35 AM
Unknown Object (File)
Dec 21 2023, 11:41 PM

Details

Summary

We already implemented execvpe internally with an _ prefix in libc so
go ahead and expose it for compatibility with Linux.

This reverts c605eea952146348e5e1ad5cab6c127d7a1bd164.

Bump __FreeBSD_version for the addition and add definitions to supress
compat shims in libzfs.

PR: 275370

Diff Detail

Repository
rG FreeBSD src repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

Comments on c605eea952146348e5e1ad5cab6c127d7a1bd164 suggest this will need an exp-run.

I've submitted the OpenZFS bits upstream in https://github.com/openzfs/zfs/pull/15609

Yeah, definitely an exp-run for this one...

This revision is now accepted and ready to land.Nov 30 2023, 1:00 AM
  • actually export the symbol...
  • update doc date in manpage
  • ZFS changes were merged from upstream
This revision now requires review to proceed.Dec 8 2023, 11:46 PM
This revision was not accepted when it landed; it landed in state Needs Review.Dec 11 2023, 7:28 PM
This revision was automatically updated to reflect the committed changes.